package com.ruoyi.device.mqtt.vo;

import java.util.Date;
import java.util.Set;

/**
 * 调试宝设备 MQTT 登录在线信息（以 deviceSn 为 key，因为 deviceSn 是必填的）
 * 后续使用 deviceSn 获取设备信息/用户信息
 *
 * @author lwm
 */
public class DeviceOnlineInfo
{
    /** 用户信息部分 */
    private Long userId;
    private String userName;
    private String phoneNumber;
    private String nickName;
    private String roleName;
    private Set<String> permissions;

    /** 设备信息部分 */
    private Long deviceId;
    private Long deviceSn;
    private String deviceType;
    private String imei;

    /**
     * 在线状态（0：离线；1：在线）
     */
    private Integer lineStatus;

    /**
     * 心跳时间
     */
    private Date heartbeatTime;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Set<String> getPermissions() {
        return permissions;
    }

    public void setPermissions(Set<String> permissions) {
        this.permissions = permissions;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public Long getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(Long deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public Integer getLineStatus() {
        return lineStatus;
    }

    public void setLineStatus(Integer lineStatus) {
        this.lineStatus = lineStatus;
    }

    public Date getHeartbeatTime() {
        return heartbeatTime;
    }

    public void setHeartbeatTime(Date heartbeatTime) {
        this.heartbeatTime = heartbeatTime;
    }
}
